-- MySQL Script generated by MySQL Workbench
-- Sat Sep 26 15:32:34 2020
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema dwarf_clicker
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema dwarf_clicker
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `dwarf_clicker` DEFAULT CHARACTER SET utf8 ;
USE `dwarf_clicker` ;

-- -----------------------------------------------------
-- Table `dwarf_clicker`.`player`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `dwarf_clicker`.`player` ;

CREATE TABLE IF NOT EXISTS `dwarf_clicker`.`player` (
  `id_player` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `login` VARCHAR(100) NOT NULL,
  `password` VARCHAR(256) NOT NULL,
  `money` TEXT NOT NULL,
  `experience` TEXT NOT NULL,
  `token` VARCHAR(256) NULL,
  PRIMARY KEY (`id_player`),
  UNIQUE INDEX `token_UNIQUE` (`token` ASC) VISIBLE,
  UNIQUE INDEX `login_UNIQUE` (`login` ASC) VISIBLE)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `dwarf_clicker`.`upgrade`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `dwarf_clicker`.`upgrade` ;

CREATE TABLE IF NOT EXISTS `dwarf_clicker`.`upgrade` (
  `id_upgrade` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `bonus_type` ENUM('money', 'experience') NOT NULL,
  `bonus_amount` TEXT NOT NULL,
  `name` VARCHAR(100) NOT NULL,
  `description` VARCHAR(250) NOT NULL,
  `base_price` TEXT NOT NULL,
  `image_link` TEXT NULL,
  PRIMARY KEY (`id_upgrade`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `dwarf_clicker`.`player_upgrades`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `dwarf_clicker`.`player_upgrades` ;

CREATE TABLE IF NOT EXISTS `dwarf_clicker`.`player_upgrades` (
  `id_player` INT UNSIGNED NOT NULL,
  `id_upgrade` INT UNSIGNED NOT NULL,
  `nb_bought` INT UNSIGNED NOT NULL,
  PRIMARY KEY (`id_player`, `id_upgrade`),
  INDEX `fk_id_upgrade_idx` (`id_upgrade` ASC) VISIBLE,
  CONSTRAINT `fk_id_player`
    FOREIGN KEY (`id_player`)
    REFERENCES `dwarf_clicker`.`player` (`id_player`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_id_upgrade`
    FOREIGN KEY (`id_upgrade`)
    REFERENCES `dwarf_clicker`.`upgrade` (`id_upgrade`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Data for table `dwarf_clicker`.`player`
-- -----------------------------------------------------
START TRANSACTION;
USE `dwarf_clicker`;
INSERT INTO `dwarf_clicker`.`player` (`id_player`, `login`, `password`, `money`, `experience`, `token`) VALUES (1, 'gcdeatheater', '617afc3e774d93ef011367f6161e48bd43524d87d065a64ea40e848e92c463e127b7df8bbd716ac258daa5c3d1e7fa2470279767cbb1aa1bb6a2ee8dbf8a8a97', '100', '123', NULL);

COMMIT;


-- -----------------------------------------------------
-- Data for table `dwarf_clicker`.`upgrade`
-- -----------------------------------------------------
START TRANSACTION;
USE `dwarf_clicker`;
INSERT INTO `dwarf_clicker`.`upgrade` (`id_upgrade`, `bonus_type`, `bonus_amount`, `name`, `description`, `base_price`, `image_link`) VALUES (1, 'money', '10', 'Pioche ordinaire', 'Une pioche qui a un destin incroyable', '10', NULL);
INSERT INTO `dwarf_clicker`.`upgrade` (`id_upgrade`, `bonus_type`, `bonus_amount`, `name`, `description`, `base_price`, `image_link`) VALUES (2, 'money', '15', 'Pioche améliorée', 'Cette pioche a quand même 30cm de plus', '20', NULL);
INSERT INTO `dwarf_clicker`.`upgrade` (`id_upgrade`, `bonus_type`, `bonus_amount`, `name`, `description`, `base_price`, `image_link`) VALUES (3, 'money', '20', 'Pioche améliorée (encore)', 'Cette fois si elle a un bout pointu des 2 côtés', '40', NULL);
INSERT INTO `dwarf_clicker`.`upgrade` (`id_upgrade`, `bonus_type`, `bonus_amount`, `name`, `description`, `base_price`, `image_link`) VALUES (4, 'money', '25', 'Pioche en fer', 'Et oui, elle n\'était toujours pas faites de métal cette fichue pioche', '80', NULL);
INSERT INTO `dwarf_clicker`.`upgrade` (`id_upgrade`, `bonus_type`, `bonus_amount`, `name`, `description`, `base_price`, `image_link`) VALUES (5, 'experience', '1', 'Début barbe', 'Mon petit duvet <3', '100', NULL);
INSERT INTO `dwarf_clicker`.`upgrade` (`id_upgrade`, `bonus_type`, `bonus_amount`, `name`, `description`, `base_price`, `image_link`) VALUES (6, 'experience', '10', 'Barbe prépubère', 'Je suis un homme.', '10000', NULL);
INSERT INTO `dwarf_clicker`.`upgrade` (`id_upgrade`, `bonus_type`, `bonus_amount`, `name`, `description`, `base_price`, `image_link`) VALUES (7, 'experience', '100', 'Barbe de 3 jours', 'Guette ça comment c\'est tondu', '99999', NULL);
INSERT INTO `dwarf_clicker`.`upgrade` (`id_upgrade`, `bonus_type`, `bonus_amount`, `name`, `description`, `base_price`, `image_link`) VALUES (8, 'experience', '2000', 'La bonne barbe', 'J\'suis le daron des nains', '300000', NULL);

COMMIT;


-- -----------------------------------------------------
-- Data for table `dwarf_clicker`.`player_upgrades`
-- -----------------------------------------------------
START TRANSACTION;
USE `dwarf_clicker`;
INSERT INTO `dwarf_clicker`.`player_upgrades` (`id_player`, `id_upgrade`, `nb_bought`) VALUES (1, 1, 1);
INSERT INTO `dwarf_clicker`.`player_upgrades` (`id_player`, `id_upgrade`, `nb_bought`) VALUES (1, 2, 1);
INSERT INTO `dwarf_clicker`.`player_upgrades` (`id_player`, `id_upgrade`, `nb_bought`) VALUES (1, 3, 1);
INSERT INTO `dwarf_clicker`.`player_upgrades` (`id_player`, `id_upgrade`, `nb_bought`) VALUES (1, 4, 1);
INSERT INTO `dwarf_clicker`.`player_upgrades` (`id_player`, `id_upgrade`, `nb_bought`) VALUES (1, 5, 1);
INSERT INTO `dwarf_clicker`.`player_upgrades` (`id_player`, `id_upgrade`, `nb_bought`) VALUES (2, 1, 1);
INSERT INTO `dwarf_clicker`.`player_upgrades` (`id_player`, `id_upgrade`, `nb_bought`) VALUES (2, 2, 1);

COMMIT;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
